package sivantoledo.nxt;

public abstract class Sender {
  public abstract void send(byte mailbox, String  s, boolean important);
  public abstract void send(byte mailbox, int     i, boolean important);
  public abstract void send(byte mailbox, boolean b, boolean important);

  /*
   * The following methods all send an important message.
   */
  
  public void send(byte mailbox, String  s) { send(mailbox, s, true); }
  public void send(byte mailbox, int     i) { send(mailbox, i, true); }
  public void send(byte mailbox, boolean b) { send(mailbox, b, true); }
  
  public abstract void flushQueue(byte mailbox);
  public abstract void flushAllQueues();
}
